
Infrastructure - Task #1390

Story # 1275 (Closed): Fix metacat bugs

baseurl in metcat /nodes response incorrect

2011-03-01 16:37 - Dave Vieglais

Status: Closed Start date: 2011-03-01

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.17-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

The metacat MN is returning a baseurl of:

http://knb.ecoinformatics.org/knb/d1/

instead of:

http://knb-mn.ecoinformatics.org/knb/d1/

Related issues:

Related to Infrastructure - Bug #1505: Metacat incorrectly formats node regis... Closed 2011-04-13

History

#1 - 2011-03-01 17:49 - Dave Vieglais

- Position set to 2

- Target version set to Sprint-2011.09-Block.2

#2 - 2011-03-07 17:33 - Dave Vieglais

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

- Position set to 2

- Position deleted (6)

#3 - 2011-03-17 16:06 - Dave Vieglais

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position deleted (30)

- Position set to 4

#4 - 2011-03-22 13:50 - Dave Vieglais

- Assignee set to Chris Jones

#5 - 2011-03-22 13:58 - Dave Vieglais

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

- Position deleted (10)

- Position set to 2

#6 - 2011-03-28 14:58 - Dave Vieglais

- Parent task set to #1275

#7 - 2011-04-08 15:29 - Chris Jones
- Status changed from New to Closed

Changed Metacat's ResourceHandler to use the correct nodeId URL.

#8 - 2011-04-08 16:37 - Chris Jones

- Status changed from Closed to In Progress

After discussion, reporting the Metacat node id property isn't necessarily correct since the node id may not be a URI, but rather a symbolic name. 

Re-opening this issue to deal with the difference.

#9 - 2011-04-26 15:23 - Chris Jones

- Status changed from In Progress to Closed

Modified ResourceHandler to construct the base URL from the server name and port using the SystemUtil.getContextURL() method.
